Set API base Url
- PUT /platform/configuration/api_base_url
Saves the API base Url configuration value.
Query Parameters
-
versionstring If specified, then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request). If not specified, will unconditionally upsert.
-
skip_cascading_operationsboolean · default: false Whether or not to skip cascading operations, such as re-provisioning the Security Deployment.
Responses
The API base Url was successfully saved.
-
valuestringrequired -
The configured base Url
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
The optimistic locking version format was wrong. (code: adminconsole.base_url.bad_version_format)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
There is no configured API base value but optimistic locking was sent. (code: adminconsole.base_url.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
There was an optimistic locking version conflict. (code: adminconsole.base_url.version_conflict)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
skip_cascading_operations was false but the Security Deployment already had a pending plan. (code: security_deployment.cluster_pending_plan_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response